Draft WireToBSpline/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(26 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
|[[Draft_Downgrade|Downgrade]]
|[[Draft_Draft2Sketch|Draft2Sketch]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Downgrade.svg
|IconR=Draft_Draft2Sketch.svg
|IconC=Workbench_Draft.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ro
{{GuiCommand/ro|Name=Draft WireToBSpline|Name/ro=Draft WireToBSpline|Workbenches=[[Draft Module/ro|Draft]], [[Arch Module/ro|Arch]]|MenuLocation=Drafting -> Wire to BSpline}}
|Name=Draft WireToBSpline
|Name/ro=Draft WireToBSpline
|MenuLocation=Drafting → Wire to BSpline
|Workbenches=[[Draft_Workbench/ro|Draft]], [[Arch_Workbench/ro|Arch]]
}}
</div>
</div>


==Description==
<span id="Description"></span>
==Descriere==


<div class="mw-translate-fuzzy">
This tool converts [[Draft Wire|Wires]] to [[Draft BSpline|BSplines]], and vice-versa.
Acest instrument convertește un filament [[Draft Wire|Wires]] într-o funcție [[Draft BSpline|BSplines]], și vice-versa.
</div>


[[Image:Draft Wire2BSpline example.jpg|400px]]
[[Image:Draft_Wire2BSpline_example.jpg|400px]]
{{Caption|Converting a wire to a B-spline, and a closed B-spline to a closed wire}}


<span id="Usage"></span>
==How to use==
<div class="mw-translate-fuzzy">
== Cum se folosește ==
</div>


<div class="mw-translate-fuzzy">
# Select a [[Draft Wire|wire]] or a [[Draft BSpline|BSpline]]
# Press the {{KEY|[[Image:Draft WireToBSpline.png|16px]] [[Draft WireToBSpline]]}} button
# Selectați un [[Draft Wire|wire]] sau o [[Draft BSpline|BSpline]]
# Apăsați butonul {{KEY|[[Image:Draft WireToBSpline.png|16px]] [[Draft WireToBSpline]]}}
</div>


==Options==
==Notes==


* The command may result in a closed, self-intersecting [[Draft_Wire|Draft Wire]] or [[Draft_BSpline|Draft BSpline]] with a face. Such an object will not display properly in the [[3D_view|3D view]]. Its {{PropertyData|Make Face}} property, or its {{PropertyData|Closed}} property, must be set to {{FALSE}}.
* The original object will not be deleted after the operation, you must delete it manually if you wish so.


==Scripting==
==Scripting==


<div class="mw-translate-fuzzy">
Not available, but creating a new object with the points from another one is easy, for example:
== Scrip-Programare ==
</div>


<div class="mw-translate-fuzzy">
* If the active object is a wire:
Nu este disponibil, dar crearea unui obiect nou cu punctele dintr-un altul este ușor, de exemplu:
</div>

<div class="mw-translate-fuzzy">
* Dacă obiectul activ este un filament:
</div>


{{Code|code=
{{Code|code=
import FreeCAD,Draft
import FreeCAD as App
import Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points

Draft.makeBSpline(points)
doc = App.newDocument()

p1 = App.Vector(1000, 1000, 0)
p2 = App.Vector(2000, 1000, 0)
p3 = App.Vector(2500, -1000, 0)
p4 = App.Vector(3500, -500, 0)

base_wire = Draft.make_wire([p1, p2, p3, p4])
base_spline = Draft.make_bspline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points1 = base_wire.Points
spline_from_wire = Draft.make_bspline(points1)

points2 = base_spline.Points
wire_from_spline = Draft.make_wire(points2)

doc.recompute()
}}
}}


* if the active object is a bspline


{{Docnav
{{Code|code=
|[[Draft_Downgrade|Downgrade]]
import FreeCAD,Draft
|[[Draft_Draft2Sketch|Draft2Sketch]]
points = FreeCAD.ActiveDocument.ActiveObject.Points
|[[Draft_Workbench|Draft]]
Draft.makeWire(points)
|IconL=Draft_Downgrade.svg
|IconR=Draft_Draft2Sketch.svg
|IconC=Workbench_Draft.svg
}}
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 07:42, 10 April 2024

Draft WireToBSpline

poziția meniului
Drafting → Wire to BSpline
Ateliere
Draft, Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul

Descriere

Acest instrument convertește un filament Wires într-o funcție BSplines, și vice-versa.

Converting a wire to a B-spline, and a closed B-spline to a closed wire

Cum se folosește

  1. Selectați un wire sau o BSpline
  2. Apăsați butonul Draft WireToBSpline

Notes

  • The command may result in a closed, self-intersecting Draft Wire or Draft BSpline with a face. Such an object will not display properly in the 3D view. Its DateMake Face property, or its DateClosed property, must be set to false.

Scripting

Scrip-Programare

Nu este disponibil, dar crearea unui obiect nou cu punctele dintr-un altul este ușor, de exemplu:

  • Dacă obiectul activ este un filament:
import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(1000, 1000, 0)
p2 = App.Vector(2000, 1000, 0)
p3 = App.Vector(2500, -1000, 0)
p4 = App.Vector(3500, -500, 0)

base_wire = Draft.make_wire([p1, p2, p3, p4])
base_spline = Draft.make_bspline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points1 = base_wire.Points
spline_from_wire = Draft.make_bspline(points1)

points2 = base_spline.Points
wire_from_spline = Draft.make_wire(points2)

doc.recompute()